{% extends "/default/default.twig" %}
{% block title %}Dettagli  territorio {{ nome_territorio }}{% endblock %}
{% block adding_css %}

{% endblock %}

{% block wrapper %}

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">{{ nome_territorio }} <a href="{{ dirDefault }}/territorio/lista" class="btn btn-primary">Torna alla lista</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 ">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/generale/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold">Generale</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/nominativi/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn btn-primary bold">Nominativi</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/movimenti/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold">Movimenti</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/mappa/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-primary bold">Mappa</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div id="map" style="width:100%;height:600px">
        </div>
    </div>
{% endblock %}


{% block adding_js %}

<script src="https://maps.google.com/maps/api/js?key=AIzaSyCWfN-lcWrUGrQNhjMGOAGDeAMsekB3aP0" type="text/javascript"></script>
  <script type="text/javascript">
    var request = $.ajax({
        method: "post",
        url: "{{dirDefault}}/territorio/dettagli/mappa/load_mappa/{{ id_territorio }}",
        dataType: "json"
    });
    request.done(function (resp) {

//VERIFICO GEOLOCALIZZAZIONE
    if (navigator.geolocation)
    {
        navigator.geolocation.getCurrentPosition(showPosition);
    } else {

        alert("Geolocation ko");
    }


    function showPosition(position) {
        var lat = position.coords.latitude;
        var lng = position.coords.longitude;
        var centro_mappa = { "latitudine":lat, "longitudine":lng};

        //var centro_mappa = resp.centro_mappa;
        console.log(centro_mappa);
        var map = new google.maps.Map(document.getElementById('map'), {
          zoom: 14,
          center: new google.maps.LatLng(centro_mappa.latitudine, centro_mappa.longitudine),
          mapTypeId: google.maps.MapTypeId.ROADMAP
        });

        var infowindow = new google.maps.InfoWindow();

        var marker, i;
         //CICLO LE INFORMAZIONI SUI MARKER IN ARRIVO DA AJAX
        var info_marker = resp.info_nominativi;


        var infowindow = new google.maps.InfoWindow();

        var marker, i;
         //CICLO LE INFORMAZIONI SUI MARKER IN ARRIVO DA AJAX
        var info_marker = resp.info_nominativi;

        //AGGIUNGO MARKER CON POSIZIONE UTENTE
        var marker_user = {
        "latitudine":lat,
        "longitudine":lng,
        "status" : "user",
        "nome_comune" : "Mia posizione",
        "via" : "",
        "civico" : "",
        "interno" : "",

        };
        info_marker.push(marker_user);

        //CICLO TUTTI I MARKER
        for( i in info_marker){
            //DEFINISCO TIPO DI MARKER
           if(info_marker[i].status == 0){
				var mark = "marker_conf.png";
			}else if(info_marker[i].status == 1){
				var mark = "marker_grey.png";
			}else if(info_marker[i].status == "user"){
			    var mark = "marker_black.png";
			}
			mark = "{{dirDefault}}/image/marker/"+mark;

          marker = new google.maps.Marker({
            position: new google.maps.LatLng(info_marker[i].latitudine, info_marker[i].longitudine),
            map: map,
       	    icon: mark
          });
          //PREPARO INFO PER APERTURA INFO A CLICK SU MARKER


          google.maps.event.addListener(marker, 'click', (function(marker, i) {
            return function() {
              infowindow.setContent(info_marker[i].nome_comune+", "+info_marker[i].via+" "+info_marker[i].civico+" "+info_marker[i].interno);
              infowindow.open(map, marker);
            }
          })(marker, i));

        }



    }//fine showPosition

    }); //fine request.done


</script>
{% endblock %}